purescript-0.15.15: PureScript Programming Language Compiler

Safe Haskell | None
Language | Haskell2010

Language.PureScript.TypeChecker.TypeSearch

# Documentation

typeSearch #

Arguments

:: Maybe [(Ident, InstanceContext, SourceConstraint)] | Additional constraints we need to satisfy
-> Environment | The Environment which contains the relevant definitions and typeclasses
-> CheckState | The typechecker state
-> SourceType | The type we are looking for
-> ([(Qualified Text, SourceType)], Maybe [(Label, SourceType)]) |